#ifndef MYX_LOG_QT_TRANSLATORS_HPP_
#define MYX_LOG_QT_TRANSLATORS_HPP_

#include <myx/qt/backports.hpp>

#include <QTranslator>

namespace myx {

namespace qt {

using QTranslatorsList = QList< QTranslator* >;

void append_translators( QTranslatorsList& translators, const QString& appName ); // NOLINT

} // namespace qt

} // namespace myx

#ifdef MYXLIB_HEADER_ONLY
#include "translators-inl.hpp"
#endif

#endif // ifndef MYX_LOG_QT_TRANSLATORS_HPP_
